import { FrameworkDetector, ScanContext, RouteBinding } from '../../types.js';

declare class GoDetector implements FrameworkDetector {
    readonly name = "go";
    readonly language = "go";
    readonly filePattern: RegExp;
    detect(projectRoot: string, files: string[]): Promise<boolean>;
    extractRoutes(filePath: string, content: string, ctx: ScanContext): Promise<RouteBinding[]>;
}

export { GoDetector };
